Page MenuHomePhabricator

Empty db-eqiad.php, db-codfw.php s1-s8+wikitech lines
Closed, ResolvedPublic

Description

Right now we are still trying to maintain in sync the changes we do with dbctl, for the sake of doing it on db-eqiad.php and db-codfw.php for s1-s8 and wikitech.
Is there anything pending to be able to remove all those lines from them?

Details

Related Gerrit Patches:
operations/mediawiki-config : masterdb-eqiad: remove obsoleted DB config data
operations/mediawiki-config : masterdb-codfw: remove obsoleted DB config data

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 30 2019, 12:43 PM

There's no blocker here I know of aside from needing to be careful about it -- I haven't found the time yet to do this.

We can't remove all the data of course, but removing sectionLoads and groupLoadsBySection and readOnlyBySection can be done whenever.

There's work in progress to move hostsByName and externalLoads into dbctl as well.

There's no blocker here I know of aside from needing to be careful about it -- I haven't found the time yet to do this.
We can't remove all the data of course, but removing sectionLoads and groupLoadsBySection and readOnlyBySection can be done whenever.
There's work in progress to move hostsByName and externalLoads into dbctl as well.

I can help with the removal.
My proposal would be to remove it on codfw.php first, and navigate the site from mwdebug on codfw to check that everything works fine. Who knows what else uses sectionLoads :)

I can help with the removal.
My proposal would be to remove it on codfw.php first, and navigate the site from mwdebug on codfw to check that everything works fine. Who knows what else uses sectionLoads :)

+1, that was my thinking as well. Let's try this next week.

CDanis moved this task from Backlog to in progress on the conftool board.Sep 4 2019, 12:44 PM

Change 534436 had a related patch set uploaded (by CDanis; owner: CDanis):
[operations/mediawiki-config@master] db-codfw: remove obsoleted DB config data

https://gerrit.wikimedia.org/r/534436

Change 534436 merged by jenkins-bot:
[operations/mediawiki-config@master] db-codfw: remove obsoleted DB config data

https://gerrit.wikimedia.org/r/534436

Mentioned in SAL (#wikimedia-operations) [2019-09-04T13:20:22Z] <cdanis@deploy1001> Synchronized wmf-config/db-codfw.php: a8dc4c4a0 db-codfw: remove obsoleted DB config T231642 (duration: 00m 55s)

Change 534441 had a related patch set uploaded (by CDanis; owner: CDanis):
[operations/mediawiki-config@master] db-eqiad: remove obsoleted DB config data

https://gerrit.wikimedia.org/r/534441

Change 534441 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad: remove obsoleted DB config data

https://gerrit.wikimedia.org/r/534441

Mentioned in SAL (#wikimedia-operations) [2019-09-04T14:04:54Z] <cdanis> If0dd79604 deployed to eqiad MW canaries T231642

Mentioned in SAL (#wikimedia-operations) [2019-09-04T14:15:29Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove obsoleted DB config from db-eqiad.php T231642 (duration: 00m 57s)

CDanis closed this task as Resolved.Sep 4 2019, 2:31 PM
CDanis claimed this task.